com.fasterxml.jackson.dataformat.protobuf.schemagen

## Class DefinedTypeElementBuilders

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schemagen.DefinedTypeElementBuilders

-     public class DefinedTypeElementBuilders
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<com.fasterxml.jackson.databind.JavaType,TypeElementBuilder>` | `_definedTypeElementBuilders`
    `protected Set<com.fasterxml.jackson.databind.JavaType>` | `_isNestedType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinedTypeElementBuilders()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTypeElement(com.fasterxml.jackson.databind.JavaType type, TypeElementBuilder builder, boolean isNested)`
    `boolean` | `containsBuilderFor(com.fasterxml.jackson.databind.JavaType type)`
    `Set<TypeElementBuilder>` | `getAllBuilders()`
    `protected HashSet<TypeElementBuilder>` | `getAllBuildersFor(Collection<com.fasterxml.jackson.databind.JavaType> types)`
    `Set<TypeElementBuilder>` | `getAllNestedBuilders()`
    `TypeElementBuilder` | `getBuilderFor(com.fasterxml.jackson.databind.JavaType type)`
    `Set<TypeElementBuilder>` | `getDependencyBuilders()`
    `Set<TypeElementBuilder>` | `getNonNestedBuilders()`
    `Set<TypeElementBuilder>` | `getNonNestedBuilders(boolean excludeRoot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _definedTypeElementBuilders

          protected Map<com.fasterxml.jackson.databind.JavaType,TypeElementBuilder> _definedTypeElementBuilders

    - #### _isNestedType

          protected Set<com.fasterxml.jackson.databind.JavaType> _isNestedType

  - ### Constructor Detail

    - #### DefinedTypeElementBuilders

          public DefinedTypeElementBuilders()

  - ### Method Detail

    - #### addTypeElement

          public void addTypeElement(com.fasterxml.jackson.databind.JavaType type,
                                     TypeElementBuilder builder,
                                     boolean isNested)

    - #### containsBuilderFor

          public boolean containsBuilderFor(com.fasterxml.jackson.databind.JavaType type)

    - #### getBuilderFor

          public TypeElementBuilder getBuilderFor(com.fasterxml.jackson.databind.JavaType type)

    - #### getAllBuilders

          public Set<TypeElementBuilder> getAllBuilders()

    - #### getAllNestedBuilders

          public Set<TypeElementBuilder> getAllNestedBuilders()

    - #### getDependencyBuilders

          public Set<TypeElementBuilder> getDependencyBuilders()

    - #### getNonNestedBuilders

          public Set<TypeElementBuilder> getNonNestedBuilders()

    - #### getNonNestedBuilders

          public Set<TypeElementBuilder> getNonNestedBuilders(boolean excludeRoot)

    - #### getAllBuildersFor

          protected HashSet<TypeElementBuilder> getAllBuildersFor(Collection<com.fasterxml.jackson.databind.JavaType> types)

Copyright © 2019 FasterXML. All rights reserved.